<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/places/tabs/offers"></ion-back-button>
    </ion-buttons>
    <ion-title>New Offer</ion-title>
    <ion-buttons slot="primary">
      <ion-button (click)="onCreateOffer()" [disabled]="!form.valid"></ion-button>
      <ion-icon name="checkmark" slot="icon-only"></ion-icon>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="form">
    <ion-grid>
      <ion-row>
        <ion-col size-sm="6" offset-sm="3">
          <ion-item>
            <ion-label position="floating">Title</ion-label>
            <ion-input type="text" autocomplete autocorrect formControlName="title"></ion-input>
          </ion-item>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col size-sm="6" offset-sm="3">
          <ion-item>
            <ion-label  position="floating">Short Description</ion-label>
            <ion-textarea rows="3" formControlName="description"></ion-textarea>
          </ion-item>
        </ion-col>
      </ion-row>
      <ion-row *ngIf="!form.get('description').valid && form.get('description').touched">
        <ion-col size-sm="6" offset-sm="3">
          <p>Description must be betwen 1 and 180 characters.</p>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col size-sm="6" offset-sm="3">
          <ion-item>
            <ion-label position="floating">Price</ion-label>
            <ion-input type="number" formControlName="price"></ion-input>
          </ion-item>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col size-sm="3" offset-sm="3">
          <ion-item>
            <ion-label position="floating">Available from</ion-label>
            <ion-datetime min="2019-01-01" max="2025-12-31" formControlName="dateFrom"></ion-datetime>
          </ion-item>
        </ion-col>
        <ion-col size-sm="3">
          <ion-item>
            <ion-label position="floating">Available to</ion-label>
            <ion-datetime min="2019-01-02" max="2025-12-31" formControlName="dateTo"></ion-datetime>
          </ion-item>
        </ion-col>
      </ion-row>
    </ion-grid>
  </form>
</ion-content>
